[136189] trunk/dports/net/rygel

devans at macports.org devans at macports.org
Mon May 11 15:51:21 PDT 2015


Revision: 136189
          https://trac.macports.org/changeset/136189
Author:   devans at macports.org
Date:     2015-05-11 15:51:21 -0700 (Mon, 11 May 2015)
Log Message:
-----------
rygel: update to version 0.26.1, reconfigure using upstream autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    trunk/dports/net/rygel/Portfile
    trunk/dports/net/rygel/files/patch-configure.ac.diff

Added Paths:
-----------
    trunk/dports/net/rygel/files/autogen.sh

Property Changed:
----------------
    trunk/dports/net/rygel/


Property changes on: trunk/dports/net/rygel
___________________________________________________________________
Modified: svn:mergeinfo
   - /users/devans/GNOME-3/stable/dports/net/rygel:113175-132205
/users/devans/GNOME-3/unstable/dports/net/rygel:116416-118154,121463-125933
   + /users/devans/GNOME-3/stable/dports/net/rygel:113175-136062
/users/devans/GNOME-3/unstable/dports/net/rygel:116416-118154,121463-125933,128864-134601

Modified: trunk/dports/net/rygel/Portfile
===================================================================
--- trunk/dports/net/rygel/Portfile	2015-05-11 22:51:19 UTC (rev 136188)
+++ trunk/dports/net/rygel/Portfile	2015-05-11 22:51:21 UTC (rev 136189)
@@ -6,7 +6,7 @@
 PortGroup           gobject_introspection 1.0
 
 name                rygel
-version             0.24.3
+version             0.26.0
 license             GPL-2+
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Rygel DLNA media server, renderer
@@ -20,11 +20,15 @@
 
 use_xz              yes
 
-checksums           rmd160  17e8d64b238f1c3d9e8fc06fa7ae5e6dbd2898d9 \
-                    sha256  a9056281b0e0d38f32ec34ad84b51b16228c7accfef601025e0ed3ddf3cc0904
+checksums           rmd160  ce4fdd1b6d28db2b8943dbb07f53a312d8bb11cb \
+                    sha256  5821b47fb04346af513723f186e900bb640c0c77d16011a9125c266b455085cf
 
 depends_build       port:pkgconfig \
-                    port:intltool
+                    port:intltool \
+                    port:gnome-common \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 depends_lib         port:desktop-file-utils \
                     port:gtk3 \
@@ -40,24 +44,23 @@
 
 depends_run         port:gnome-settings-daemon
 
+gobject_introspection yes
+
 patchfiles          patch-configure.ac.diff
 
-gobject_introspection yes
-
 # blacklist compilers that do not support C11
 # due to error: redefinition of typedef 'GUPnPService'
 # build fix for SL and earlier
 
 compiler.blacklist  *gcc* {clang < 300}
 
-# update m4/intltool.m4 and autoreconf
+# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
 
-pre-configure {
-    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
 }
 
-use_autoreconf      yes
-autoreconf.args     -fvi
+configure.cmd       ./autogen.sh
 
 configure.args      --disable-silent-rules \
                     --enable-tracker-plugin=no

Copied: trunk/dports/net/rygel/files/autogen.sh (from rev 136062, users/devans/GNOME-3/stable/dports/net/rygel/files/autogen.sh)
===================================================================
--- trunk/dports/net/rygel/files/autogen.sh	                        (rev 0)
+++ trunk/dports/net/rygel/files/autogen.sh	2015-05-11 22:51:21 UTC (rev 136189)
@@ -0,0 +1,49 @@
+#! /bin/sh
+
+# Copyright (C) 2010 Zeeshan Ali (Khattak) <zeeshanak at gnome.org>.
+# Copyright (C) 2011 Jens Georg <mail at jensge.org>.
+# Copyright (C) 2012 Openismus GmbH.
+#
+# Author: Zeeshan Ali (Khattak) <zeeshanak at gnome.org>
+#         Jens Georg <mail at jensge.org>
+#         Murray Cumming <murrayc at openismus.com>
+#
+# This file is part of Rygel.
+#
+# Rygel is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# Rygel is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME git"
+    exit 1
+}
+
+DEFAULT_ARGS="--enable-vala --enable-maintainer-mode  --enable-debug  --enable-example-plugins --enable-mediathek-plugin --enable-gst-launch-plugin --disable-strict-valac"
+
+mkdir -p m4
+
+if [ "x$1" = "xdevel" ]; then
+    DEFAULT_ARGS="$DEFAULT_ARGS --enable-uninstalled --enable-debug --disable-apidocs"
+    shift
+elif [ "x$1" = "xrelease" ]; then
+    DEFAULT_ARGS="$DEFAULT_ARGS --enable-apidocs --disable-debug"
+    shift
+fi
+
+# require automake 1.11 for vala support
+REQUIRED_AUTOMAKE_VERSION=1.11 \
+REQUIRED_AUTOCONF_VERSION=2.64 \
+REQUIRED_LIBTOOL_VERSION=2.2.6 \
+REQUIRED_INTLTOOL_VERSION=0.40.0 \
+. gnome-autogen.sh $DEFAULT_ARGS "$@"

Modified: trunk/dports/net/rygel/files/patch-configure.ac.diff
===================================================================
--- trunk/dports/net/rygel/files/patch-configure.ac.diff	2015-05-11 22:51:19 UTC (rev 136188)
+++ trunk/dports/net/rygel/files/patch-configure.ac.diff	2015-05-11 22:51:21 UTC (rev 136189)
@@ -1,5 +1,5 @@
---- configure.ac.orig	2014-08-19 12:35:22.000000000 -0700
-+++ configure.ac	2014-08-20 11:32:26.000000000 -0700
+--- configure.ac.orig	2014-11-23 22:31:04.000000000 -0800
++++ configure.ac	2014-11-28 13:34:11.000000000 -0800
 @@ -45,7 +45,7 @@
  GSTPBU_REQUIRED=1.0
  GIO_REQUIRED=2.26
@@ -8,4 +8,4 @@
 +UUID_REQUIRED=1.6.2
  LIBSOUP_REQUIRED=2.44.0
  GTK_REQUIRED=3.0
- MEDIAART_REQUIRED=0.5.0
+ MEDIAART_REQUIRED=0.7.0
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150511/0b6cdc4d/attachment.html>


More information about the macports-changes mailing list